/* */
/*
   oleobj = .OleObject~New("RxAgent.AnAgent")
   path="d:\windows\msagent\chars\"
*/
   oleobj=.OleObject~New("Agent.Control")
   OleObj~Connected = .True
   charColl=oleobj~characters

   char      ="Merlin"
   languages = .array~of("German", "English", "British English", "Italian", "French")
   langIDs   = .array~of("&H0407", "&H0409",  "&H0809",          "&H0410",  "&H040C")
   text      = .array~of("Das ist ein deutscher Text.", -
                         "This is US English.",         -
                         "This is British English.",    -
                         "Questo  Italiano.",          -  -- codepage 850
                         "a c'est Franais.")             -- codepage 850

   -- text="I am going through the new world!"

   do i=1 to languages~items -- item over list
      item=langIDs[i]                              -- get language ID
      say languages[i]~right(15)": langid="item", text="text[i]
      charColl~~load(char, char".acs")             -- load agent into character collection
      merlin=charColl~item(char)                   -- load agent object from collection
      merlin~top=200                               -- set top-coordinate
      merlin~left=200                              -- set left-coordinate
      Merlin~LanguageID = item                     -- set language, also with: x2d(item~right(4))
      merlin~show                                  -- show the agent
      -- call WaitUntilCompletion merlin~speak(text)  -- let the agent speak
      call WaitUntilCompletion merlin~speak(text[i])  -- let the agent speak
      charcoll~unload(char)                        -- unload agent
   end
   exit

   -- procedure to wait until time-consuming animation/speaking has finished
::routine WaitUntilCompletion
  use arg res
   Do Until res~Status = 0
      call SysSleep(.25)  -- sleep a bit
   end

