/* */
/*
   oleobj = .OleObject~New("RxAgent.AnAgent")
   path="d:\windows\msagent\chars\"
*/
   oleobj=.OleObject~New("Agent.Control")
   OleObj~Connected = .True
   charColl=oleobj~characters

   languages = .array~of("German", "English", "British English", "Italian", "French")
   langIDs   = .array~of("&H0407", "&H0409",  "&H0809",          "&H0410",  "&H040C")
   text      = .array~of("Das ist ein deutscher Text.", -
                         "This is US English, and this is a baggage.",         -
                         "This is British English, and this is a baggage..",    -
                         "Questo  Italiano.",          -  -- codepage 850
                         "a c'est Franais.")             -- codepage 850

   -- text="I am going through the new world!"

   char      ="Merlin"
   charColl~~load(char, char".acs")             -- load agent into character collection
   merlin=charColl~item(char)                   -- load agent object from collection
   merlin~top=200                               -- set top-coordinate
   merlin~left=200                              -- set left-coordinate
   merlin~show                                  -- show the agent
   do i=1 to languages~items -- item over list
      say languages[i]~right(15)": langid="langIDs[i]", text="text[i]
      Merlin~LanguageID = langIDs[i]            -- set language, also with: x2d(item~right(4))
      call WaitUntilCompletion merlin~speak(text[i])  -- let the agent speak
   end
   charcoll~unload(char)                        -- unload agent

   -- procedure to wait until time-consuming animation/speaking has finished
::routine WaitUntilCompletion
  use arg res
   Do Until res~Status = 0
      call SysSleep(.25)  -- sleep a bit
   end

